##### io_context::io_context (4 of 6 overloads)

Constructor.

    template<
        typename Allocator>
    io_context(
        allocator_arg_t ,
        const Allocator & a,
        int concurrency_hint);

Construct with a hint about the required level of concurrency.

###### Parameters

a

  An allocator that will be used for allocating objects that are associated with the context, such as services and internal state for I/O objects.

concurrency_hint

  A suggestion to the implementation on how many threads it should allow to run simultaneously.